import { CropInput, CropperOptions, CropperPosition, Dimensions, ImageTransform, LoadedImage } from '../interfaces';
import { SimpleChanges } from '@angular/core';
export declare class CropperState {
    readonly cropper: import("@angular/core").WritableSignal<CropperPosition>;
    loadedImage?: LoadedImage;
    maxSize: import("@angular/core").WritableSignal<Dimensions>;
    transform: ImageTransform;
    options: CropperOptions;
    cropperScaledMinWidth: number;
    cropperScaledMinHeight: number;
    cropperScaledMaxWidth: number;
    cropperScaledMaxHeight: number;
    stepSize: number;
    setOptionsFromChanges(changes: SimpleChanges): void;
    setOptions(options: Partial<CropperOptions>): void;
    private validateOptions;
    setMaxSize(width: number, height: number): void;
    setCropperScaledMinSize(): void;
    setCropperScaledMinWidth(): void;
    setCropperScaledMinHeight(): void;
    setCropperScaledMaxSize(): void;
    equalsCropperPosition(cropper?: CropperPosition): boolean;
    equalsTransformTranslate(transform: ImageTransform): boolean;
    equalsTransform(transform: ImageTransform): boolean;
    aspectRatioIsCorrect(): boolean;
    resizeCropperPosition(oldMaxSize: Dimensions): void;
    maxSizeCropperPosition(): CropperPosition;
    toCropInput(): CropInput;
}
