import { LoadedImage, LoadImageOptions } from '../interfaces';
export declare class LoadImageService {
    private autoRotateSupported;
    loadImageFile(file: File, options: LoadImageOptions): Promise<LoadedImage>;
    private checkImageTypeAndLoadImageFromArrayBuffer;
    private isValidImageType;
    loadImageFromURL(url: string, options: LoadImageOptions): Promise<LoadedImage>;
    loadBase64Image(imageBase64: string, options: LoadImageOptions): Promise<LoadedImage>;
    private base64ToArrayBuffer;
    private loadImageFromArrayBuffer;
    private getSvgImageSize;
    private transformImageFromArrayBuffer;
    transformLoadedImage(loadedImage: Partial<LoadedImage>, options: LoadImageOptions, forceTransform?: boolean): Promise<LoadedImage>;
    private loadImageFromObjectUrl;
    private getTransformedSize;
}
